import { request } from './request'

const baseUri = ''
const parkTrain = '/wx/parkTrain'

export function list(data) {
    return request({
        url: baseUri + parkTrain + '/list',
        method: 'post',
        data: data
    })
}

export function getTrainById(id, userId) {
    return request({
        url: baseUri + parkTrain + '/getTrainById?id=' + id + '&userId=' + userId,
        method: 'get'
    })
}

export function clickCollect(data) {
    return request({
        url: baseUri + parkTrain + '/clickCollect',
        method: 'post',
        data: data
    })
}

export function listRegisSignInfo(data) {
    return request({
        url: baseUri + parkTrain + '/listRegisSignInfo',
        method: 'post',
        data: data
    })
}

export function updatePartakeNumber(data) {
    return request({
        url: baseUri + parkTrain + '/updatePartakeNumber',
        method: 'post',
        data: data
    })
}

export function updatePublishStatus(data) {
    return request({
        url: baseUri + parkTrain + '/updatePublishStatus',
        method: 'post',
        data: data
    })
}

export function add(data) {
    return request({
        url: baseUri + parkTrain + '/add',
        method: 'post',
        data: data
    })
}
